local loader = MultipleUrlLoader.new{
	"http://dl.dropbox.com/u/684866/temp/0.png",
	"http://dl.dropbox.com/u/684866/temp/1.png",
	"http://dl.dropbox.com/u/684866/temp/5.png",
	"http://dl.dropbox.com/u/684866/temp/6.png",
	"http://dl.dropbox.com/u/684866/temp/19.png",
	"http://dl.dropbox.com/u/684866/temp/22.png",	
	"http://dl.dropbox.com/u/684866/temp/25.png",
	"http://dl.dropbox.com/u/684866/temp/26.png",
	"http://dl.dropbox.com/u/684866/temp/27.png",
	"http://dl.dropbox.com/u/684866/temp/32.png",
	"http://dl.dropbox.com/u/684866/temp/35.png",
	"http://dl.dropbox.com/u/684866/temp/36.png",
	"http://dl.dropbox.com/u/684866/temp/44.png",
	"http://dl.dropbox.com/u/684866/temp/45.png",
	}

local function onComplete(event)
	local url = event.url
	local filename = "|T|"..string.match(event.url, ".-([^/]-)$")
	
	print("complete", url, filename)
	
	local file = io.open(filename, "wb")
	file:write(event.data)
	file:close()
	
	local bitmap = Bitmap.new(Texture.new(filename))
	bitmap:setPosition(math.random(0, 240), math.random(0, 400))
	stage:addChild(bitmap)
end

local function onError(event)
	print("error", event.url)
end

loader:addEventListener(Event.COMPLETE, onComplete)
loader:addEventListener(Event.ERROR, onError)
